//
//  ViewController.m
//  132659
//
//  Created by IGUser on 3/4/14.
//  Copyright (c) 2014 MMAcademy. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    NSMutableArray *data = [[NSMutableArray alloc] init];
    DataModel *item = [[DataModel alloc]init];
    item.positive = 1567890000;
    item.textLabel = @"2013";
    
    DataModel *item1 = [[DataModel alloc]init];
    item1.positive = 567890000;
    item1.textLabel = @"2014";
    DataModel *item2 = [[DataModel alloc]init];
    item2.negative = -67890000;
    item2.textLabel = @"Scarto 5%";
    [data addObject:item];
 
    [data addObject:item1];
    [data addObject:item2];
    
    
    IGStackedSeriesDataSourceHelper *source = [[IGStackedSeriesDataSourceHelper alloc] initWithData:data fields:[[NSArray alloc]initWithObjects:@"positive",@"negative", nil]];//[[IGStackedSeriesDataSourceHelper alloc] initWithData:data fields:@"positive",@"negative", nil];
    source.labelPath = @"textLabel";
    //source.values = data;
    //source1.values = data1;
    
    IGChartView *infraChart = [[IGChartView alloc] initWithFrame:self.view.frame];
    [infraChart setAutoresizingMask:UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleHeight];
    
    infraChart.delegate = self;
    
    IGCategoryXAxis *xAxis = [[IGCategoryXAxis alloc] initWithKey:@"xAxis"];
    IGNumericYAxis *yAxis = [[IGNumericYAxis alloc] initWithKey:@"yAxis"];
    [infraChart addAxis:xAxis];
    [infraChart addAxis:yAxis];
    

    
    [infraChart addStackedSeriesForType:[IGStackedColumnSeries class] usingKey:@"columnSeries" withDataSource:source firstAxisKey:@"xAxis" secondAxisKey:@"yAxis"];
    //[infraChart addSeries:columnSeries];

    [self.view addSubview:infraChart];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
-(NSString*)chartView:(IGChartView *)chartView labelForAxis:(IGAxis *)axis withItem:(NSObject *)item{
    
    if([axis.key isEqualToString:@"yAxis"]){
		
		//if you do not want to shorten your values its better to use NSNumberFormatter instead.
		/*NSNumberFormatter *formatter = [[NSNumberFormatter alloc]init];
		[formatter setNumberStyle:NSNumberFormatterDecimalStyle];
		return [formatter stringFromNumber:(NSNumber*)item];
		*/
        double value = [((NSNumber*)item) doubleValue];
        NSString* label = [NSString stringWithFormat:@"%f",value];
        if(abs(value) > 1000 )
            label = [NSString stringWithFormat:@"%f K", (value/ 1000)];
        if(abs(value) > 1000000 )
            label = [NSString stringWithFormat:@"%f M", (value/ 1000000)];
        if(abs(value) > 1000000000 )
            label = [NSString stringWithFormat:@"%f GM", (value/ 1000000000)];
        return label;
    }
    NSDictionary *dict = (NSDictionary*)item;
    
        return [NSString stringWithFormat:@"%@",[dict valueForKey:@"label"]];
}

@end
